#### D.5.16.1 intersectionDiv

Procedure from library `reszeta.lib` (see reszeta_lib).

Usage:
  intersectionDiv(L);
  L = list of rings

Assume:
  L is output of resolution of singularities
  (only case of isolated surface singularities)

Compute:
  intersection matrix and genera of the exceptional divisors (considered as curves on the strict transform)

Return:
  list l, where
  l[1]: intersection matrix of exceptional divisors
  l[2]: intvec, genera of exceptional divisors
  l[3]: divisorList, encoding the identification of the divisors

Example:

    LIB "reszeta.lib";
    ring r = 0,(x(1..3)),dp(3);
    ideal J=x(3)^5+x(2)^4+x(1)^3+x(1)*x(2)*x(3);
    list re=resolve(J);
    list di=intersectionDiv(re);
    di;
    ==> [1]:
    ==>    -3,1,1,
    ==>    1,-4,1,
    ==>    1,1,-2
    ==> [2]:
    ==>    0,0,0
    ==> [3]:
    ==>    [1]:
    ==>       [1]:
    ==>          3,1,1
    ==>       [2]:
    ==>          5,1,1
    ==>    [2]:
    ==>       [1]:
    ==>          3,1,2
    ==>       [2]:
    ==>          4,1,1
    ==>       [3]:
    ==>          5,1,2
    ==>    [3]:
    ==>       [1]:
    ==>          4,2,1
    ==>       [2]:
    ==>          5,2,1
    ==> [4]:
    ==>    1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.